{% extends "blog/base.html" %}
{% block content %}
     <div class="row mt-4">  
        <article class="media content-section col-sm">
            <div class="media-body">
                <div>
                    <img class="rounded-circle article-img" src="{{ object.submitted_by.profile.image.url }}">
                    <a href="{% url 'user-movies' object.submmitted_by.username %}">Submitted by :  {{ object.submitted_by }}</a>
                </div>
                <div class="card" style="width: 18rem;">
                    <div>
                        <iframe width="100%" height="100%" src="https://www.youtube.com/embed/qDwdMDQ8oX4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                    </div>
                    <div class="card-body">
                        <h4>Movie: {{ object.title }}</h4>
                        <h6>By {{ object.director }} released On {{ object.created_post_date }} </h6>
                        <p>Genere :  {{ object.genre }}</p>
                        {% if object.submitted_by == user %}
                            <a class="btn btn-outline-secondary" href="{% url 'movie-update' object.id %}">Update</a>
                            <a class="btn btn-outline-danger" href="{% url 'movie-delete' object.id %}">Delete</a>
                        {% endif %}
                    </div>
                </div>
            </div>
         </article>     
    </div>
{% endblock content %}
